using Edu.Common.Enum.User;
using System;
using VT.FW.DB;

namespace Edu.Model.Entity.User
{

    /// <summary>
    /// Rb_Workflow_CopyToPeople Entity
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Workflow_CopyToPeople
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 员工id
        /// </summary>        
        public int? EmployeeId
        {
            get;
            set;
        }
        /// <summary>
        /// 工作流id
        /// </summary>        
        public int? WorkFlowId
        {
            get;
            set;
        }
        /// <summary>
        /// 1请假  2出差  3  外出  4  补卡
        /// </summary>        
        public WFTTemplateTypeEnum? TemplateType
        {
            get;
            set;
        }
        /// <summary>
        /// 1未审核  2已审核
        /// </summary>        
        public WFRrocessStatus? Stauts
        {
            get;
            set;
        }
        /// <summary>
        /// 1未读  2已读
        /// </summary>        
        public int? ReadStauts
        {
            get;
            set;
        }
    }
}